"
 COPYRIGHT (c) 1993 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic' }"

"{ NameSpace: Smalltalk }"

GenericException subclass:#Exception
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions'
!

!Exception class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1993 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Exception is an abstract superclass of all exceptions in the system,
    which are not generated by user actions (e.g. keyboard interrupts) nor by
    errors in the exception system itself.

    Think twice before subclassing directly from Exception. Consider to subclass
    from one of Exceptions subclasses Error, Warning, UserNotification...

    You should also handle Error instead of Exception, since breakpoints,
    halts and user informational messages are processed as exceptions.

    The behavior is in GenericException, to allow for some exceptions 
    (UnhandledExceptionException and UserInterrupts) not to be a child of Exception.

    [see also:]
        Error
        Warning
        UserNotification
        Notification
        Signal
"
! !

!Exception class methodsFor:'testing'!

isAbstract
    ^ self == Exception
! !


!Exception class methodsFor:'documentation'!

version
    ^ '$Header$'

!

version_SVN
    ^ '$Id: Exception.st 10761 2012-01-19 11:46:00Z vranyj1 $'
! !



